curl "https://api.hitler.app/api/users/user-uuid-123" \
-H "Authorization: Bearer YOUR_TOKEN"
{
"id": "user-uuid-123",
"email": "john@acme.com",
"name": "John Doe",
"role": "employee",
"isActive": true,
"preferences": {},
"organizationId": "org-uuid",
"createdAt": "2024-01-10T15:30:00.000Z"
}
Users
Get User
Get user details by ID
GET
/
api
/
users
/
{id}
curl "https://api.hitler.app/api/users/user-uuid-123" \
-H "Authorization: Bearer YOUR_TOKEN"
{
"id": "user-uuid-123",
"email": "john@acme.com",
"name": "John Doe",
"role": "employee",
"isActive": true,
"preferences": {},
"organizationId": "org-uuid",
"createdAt": "2024-01-10T15:30:00.000Z"
}
This endpoint requires Manager or Admin role.
Path Parameters
string
required
User UUID
Response
string
User UUID
string
User email
string
Display name
string
User role:
employee, manager, adminboolean
Account status
object
User preferences
string
Account creation date
curl "https://api.hitler.app/api/users/user-uuid-123" \
-H "Authorization: Bearer YOUR_TOKEN"
{
"id": "user-uuid-123",
"email": "john@acme.com",
"name": "John Doe",
"role": "employee",
"isActive": true,
"preferences": {},
"organizationId": "org-uuid",
"createdAt": "2024-01-10T15:30:00.000Z"
}